GOPHIAN-ESTIMATE-GRAPHVIZ(1)

# NAME

gophian-estimate-graphviz - Visualize the dependency tree of a given Go package

# SYNOPSIS

*gophian estimate-graphviz* <IMPORTPATH> [OUTPUT] [OPTIONS]

# DESCRIPTION

This subcommand is only available when python3-graphviz is installed.

This subcommand recursively finds all dependencies of a given package and
checks if they are packaged in Debian, producing a dependency tree using
Graphviz showing dependencies that are available as Debian packages and which
are not. This is useful for large or complex dependency graphs that are much
better depicted by a Graphviz tree.

# ARGUMENTS

*IMPORTPATH* - The import path of the Go package being estimated.

*OUTPUT* - Output path of the source Graphviz code.

# OPTIONS

*--[no-]quiet* - Don't print warnings.

*--[no-]open* - View rendered output in the most suitable application.
(default: on)

*--[no-]render* - Render the graph using Graphviz. (default: on)

*--[no-]warn-packaged* - Warn if the given Go package has already been packaged
for Debian. (default: on)

*--[no-]include-packaged-deps* - Include packaged dependencies in the estimate.
(default: on)

*--help* - Show help message and exit.

# SEE ALSO

_gophian-estimate_(1)
